View Issue Details

IDProjectCategoryView StatusLast Update
0003988FreeCADBugpublic2020-12-07 11:42
Reportereasyw-fc Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status confirmedResolutionopen 
Product Version0.19 
Target Version0.19 
Summary0003988: the function Import.readDXF doesn't import Bsplines
DescriptionHi, following this forum thread
https://forum.freecadweb.org/viewtopic.php?f=35&t=27527&start=20#p310418
I'm reporting this issue present in FC 0.18 and 0.19 on all platforms.
Calling the function using the Python console as following:
import Import
Import.readDXF("/home/mau/Downloads/write-sketch.dxf") 
bsplines are dropped.
This would be very useful to import a dxf file to an internal shape using Python (i.e. for macros).
Steps To ReproduceForum thread dedicated to discussing this ticket: https://forum.freecadweb.org/viewtopic.php?f=8&t=53001

reference to original thread where the issue was first discovered:
https://forum.freecadweb.org/viewtopic.php?f=35&t=27527&start=20#p310418
example files provided at the forum
Tags#pending-forum, b-splines, DXF, import
FreeCAD Information

Activities

Kunda1

2020-12-07 11:40

administrator   ~0015108

Here's the discussion thread specifically for this ticket: https://forum.freecadweb.org/viewtopic.php?f=8&t=53001

Issue History

Date Modified Username Field Change
2019-05-26 16:58 easyw-fc New Issue
2019-06-17 07:17 Kunda1 Description Updated View Revisions
2019-06-17 07:19 Kunda1 Status new => confirmed
2019-06-17 07:20 Kunda1 Target Version => 0.19
2019-06-17 07:20 Kunda1 Tag Attached: b-splines
2019-06-17 07:20 Kunda1 Tag Attached: DXF
2020-12-07 11:32 Kunda1 Tag Attached: import
2020-12-07 11:40 Kunda1 Note Added: 0015108
2020-12-07 11:41 Kunda1 Steps to Reproduce Updated View Revisions
2020-12-07 11:42 Kunda1 Tag Attached: #pending-forum